--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Checks that the Comparison is valid
- !ruby/struct:SM::Flow::P 
  body: "@see DataMapper::Query::Conditions::AbstractComparison#valid?"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Query::Conditions::InclusionComparison#valid?
is_singleton: false
name: valid?
params: ()
visibility: public
